Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class CertificateID

    java.lang.Object
      |
      +--org.bouncycastle.ocsp.CertificateID

public class CertificateID
extends java.lang.Object

Field Summary
`static java.lang.String` | `HASH_SHA1`

Constructor Summary
`CertificateID(CertID id)`
`CertificateID(java.lang.String hashAlgorithm, java.security.cert.X509Certificate issuerCert, java.math.BigInteger number)` create using the BC provider
`CertificateID(java.lang.String hashAlgorithm, java.security.cert.X509Certificate issuerCert, java.math.BigInteger number, java.lang.String provider)` create from an issuer certificate and the serial number of the certificate it signed.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getHashAlgOID()`
`byte[]` | `getIssuerKeyHash()`
`byte[]` | `getIssuerNameHash()`
`java.math.BigInteger` | `getSerialNumber()` return the serial number for the certificate associated with this request.
`int` | `hashCode()`
`CertID` | `toASN1Object()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HASH_SHA1

    public static java.lang.String HASH_SHA1

Constructor Detail

### CertificateID

    public CertificateID(CertID id)

### CertificateID

    public CertificateID(java.lang.String hashAlgorithm,
                         java.security.cert.X509Certificate issuerCert,
                         java.math.BigInteger number,
                         java.lang.String provider)
                  throws OCSPException

  create from an issuer certificate and the serial number of the certificate it signed.
  Throws:
    `OCSPException` - if any problems occur creating the id fields.

### CertificateID

    public CertificateID(java.lang.String hashAlgorithm,
                         java.security.cert.X509Certificate issuerCert,
                         java.math.BigInteger number)
                  throws OCSPException

  create using the BC provider

Method Detail

### getHashAlgOID

    public java.lang.String getHashAlgOID()

### getIssuerNameHash

    public byte[] getIssuerNameHash()

### getIssuerKeyHash

    public byte[] getIssuerKeyHash()

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

  return the serial number for the certificate associated with this request.

### toASN1Object

    public CertID toASN1Object()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD